From abac1d3c1bd0016f2dad420e8e521efb11932a86 Mon Sep 17 00:00:00 2001
From: Jarmo Torvinen <jarmo.torvinen@jutel.fi>
Date: Mon, 27 Apr 2009 13:59:39 +0300
Subject: [PATCH] relay the aspect ratio information from decoder to the encoder. This allows dynamic aspect ratio changes.

---
 modules/stream_out/transcode.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

diff --git a/modules/stream_out/transcode.c b/modules/stream_out/transcode.c
index 67433d1..c037889 100644
--- a/modules/stream_out/transcode.c
+++ b/modules/stream_out/transcode.c
@@ -2037,6 +2037,8 @@ static int transcode_video_process( sout_stream_t *p_stream,
             }
         }
 
+        id->p_encoder->fmt_in.video.i_aspect = id->p_decoder->fmt_out.video.i_aspect;
+
         if( p_sys->i_threads == 0 )
         {
             p_pic->pf_release( p_pic );
-- 
1.6.0.4

